General Date & Time pickers Event Calendar Form components Responsive list Numeric pickers Pickers & dropdowns Layout & navigation Tools Accessibility

Scroller

These are the options, events and methods for the scroller component. They are also applicable on every other scroller-based component as well.

Basic usage

HTML
<input id="scroller" />
Javascript
mobiscroll.scroller('#scroller', { 
    theme: 'mobiscroll', 
    display: 'bottom',
    showLabel: true,
    wheels: [
        [{
            label: 'First wheel',
            data: ['0', '1', '2', '3', '4', '5', '6', '7']
        }, {
            label: 'Second wheel',
            data: [{
                value: 0,
                display: 'a'
            }, {
                value: 1,
                display: 'b'
            }, {
                value: 2,
                display: 'c'
            }, {
                value: 3,
                display: 'd'
            }]
        }]
    ]
});

For many more examples - simple and complex use-cases - check out the scroller demos for javascript.

Typescript Types

When using with typescript, the following types are available for the Scroller:

Type Description
Scroller Type of the Scroller instance
MbscScrollerOptions Type of the settings object that is used to initialize the component

Options

Name Type Default value Description
anchor String, HTMLElement undefined Specifies the anchor element for positioning, if display is set to 'bubble' . If undefined, it defaults to the element on which the component was initialized.
animate String or Boolean undefined Animation to use for show/hide (if display is not inline). Possible values:
  • 'fade'
  • 'flip'
  • 'pop'
  • 'swing'
  • 'slidevertical'
  • 'slidehorizontal'
  • 'slidedown'
  • 'slideup'
If false, turns the animation off.
buttons Array ['set', 'cancel'] Buttons to display. Each item in the array will be a button. A button can be specified as a string, or as a button object.

When the passed array does not contain the predefined 'set' button, the auto-selection will be turned on. Selecting a value on the UI this way, will be set to the input immediately. If there are more than one wheels shown, the control will close on overlay tap. Otherwise tapping a value on the wheel will also close the control.

If a string, it must be one of the predefined buttons:
  • 'set' - Sets the value.
  • 'clear' - Clears the value.
  • 'cancel' - Dismisses the popup.
To modify the text of the predefined buttons, you can use the setText, clearText , cancelText options.

If an object, it may have the following properties:
  • text String - Text of the button.
  • handler String, Function - The function which will run when the button is pressed. If a string, it must be one of the predefined button handlers:
    • 'set' - Sets the value.
    • 'clear' - Clears the value.
    • 'cancel' - Dismisses the popup.
  • icon String (Optional) - Icon of the button.
  • cssClass String (Optional) - Css class of the button.
Predefined and custom buttons example
buttons: [
    'set',
    {
        text: 'Custom',
        icon: 'checkmark',
        cssClass: 'my-btn', 
        handler: function (event) {
            alert('Custom button clicked!');
        }
    },
    'cancel'
]
Predefined button handler example
buttons: [
    'set',
    {
        text: 'Hide',
        handler: 'cancel',
        icon: 'close',
        cssClass: 'my-btn'
    }
]
circular Boolean, Array undefined If true, the scroll wheels are circular. If an array, it can be specified as a per wheel configuration, e.g. for 3 wheels: [true, false, false] - sets the first wheel circular. If not specified, if a wheel has more values than the number of displayed rows, the scroll wheel becomes circular.
closeOnOverlayTap Boolean true If true, the popup is closed on overlay tap/click.
context String, HTMLElement 'body' The DOM element in which the component is appended and positioned (if not inline). Can be a selector string or a DOM element.
cssClass String undefined Applies custom css class to the top level element.
disabled Boolean false Initial disabled state of the component. This will take no effect in inline display mode.
display String 'center' Controls the positioning of the component. Possible options:
  • 'center' - The component appears as a popup at the center of the viewport.
  • 'inline' - If called on div element, the component is placed inside the div (overwriting existing content), otherwise is placed after the original element.
  • 'bubble' - The component appears as a bubble positioned to the element defined by the anchor option. By default the anchor is the original element.
  • 'top' - The component appears docked to the top of the viewport.
  • 'bottom' - The component appears docked to the bottom of the viewport.
focusOnClose Boolean, String, HTMLElement true Element to focus after the popup is closed. If undefined, the original element will be focused. If false, no focusing will occur.
focusTrap Boolean true If not in inline mode, focus won't be allowed to leave the popup.
headerText Boolean, String, Function false Specifies a custom string which appears in the popup header.
If the string contains the '{value}' substring, it is replaced with the formatted value of the scroller.
If it's set to false, the header is hidden.
If a function is passed, it receives the formatted value as parameter and the returned value appears in the header.
height Number 40 Height in pixels of one item on the wheel. The default value depends on the theme:

Mobiscroll: 40
Android Holo: 36
Bootstrap: 40
iOS: 34
jQuery Mobile: 40
Material: 40
Windows Phone: 76
layout String undefined Sets the layout of the component. Possible values:
  • 'liquid' - Wheels will expand to the maximum available width, but will not exceed the width set by the maxWidth setting. If maxWidth is not specified, the total width of all wheels will not exceed 600px. In 'top' or 'bottom' display mode this is the default behavior.
  • 'fixed' or undefined - Wheels will expand to the size of the longest wheel value, but will not exceed the width set by the maxWidth setting.
maxWidth Number or Array undefined Maximum width of the wheels. If number, it is applied to all wheels, if an array, it is applied to each wheel separately.
minWidth Number or Array 80 Minimum width of the wheels in pixels. If number, it is applied to all wheels, if an array, it is applied to each wheel separately. The default value depends on the theme:

Mobiscroll: 80
Android Holo: 76
Bootstrap: 80
iOS: 55
jQuery Mobile: 80
Material: 80
Windows Phone: 76
multiline Number 1 If greater than 1, the wheel item's content will be wrapped into the specified number of lines. If the content is shorter, it will remain vertically centered.
readonly Boolean or Array false If true, the component is displayed, but the values are not selectable. If an array, it can be specified as a per wheel configuration, e.g. for 3 wheels: [true, false, false] - sets the first wheel readonly.
responsive Object undefined Specify different settings for different container widths, in a form of an object, where the keys are the name of the breakpoints, and the values are objects containing the settings for the given breakpoint.
The available width is queried from the container element of the component and not the browsers viewport like in css media queries
There are five predefined breakpoints:
  • xsmall - min-width: 0px
  • small - min-width: 576px
  • medium - min-width: 768px
  • large - min-width: 992px
  • xlarge - min-width: 1200px
Custom breakpoints can be defined by passing an object containing the breakpoint property specifying the min-width in pixels. Example:
responsive: {
    small: {
        display: 'bottom'
    },
    custom: { // Custom breakpoint
        breakpoint: 600,
        display: 'center'
    },
    large: {
        display: 'bubble'
    }
}
rows Number 3 Number of visible rows on the wheel. The default value depends on the theme:

Mobiscroll: 5
Bootstrap: 3
iOS: 5
Material: 3
Windows: 6
scrollLock Boolean true Disables page scrolling on touchmove (if not in inline mode, and popup height is less than window height).
showLabel Boolean true Show/hide labels above wheels.
showOnFocus Boolean false - on desktop true - on mobile Pops up the component on element focus.
showOnTap Boolean true Pops up the component on element tap.
showOverlay Boolean true Show or hide overlay.
showScrollArrows Boolean false Display scroll arrows for the wheels.
theme String undefined

Sets the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform.

If the theme for the specific platform is not present, it will default to the Mobiscroll theme.

Supplied themes:
  • 'bootstrap' - Bootstrap themes
  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'mobiscroll' - Mobiscroll theme
  • 'windows' - Windows theme
It's possible to modify theme colors or create custom themes.
Starting from v4.9.0 setting directly the dark version of the theme is deprecated. Use the themeVariant option instead to control the light / dark appearance of the theme.
Make sure that the theme you set is included in the downloaded package.
themeVariant String undefined

Controls which variant of the theme will be used (light or dark).

Possible values:
  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

If not set, only the theme setting will determine which theme to use.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

The option will not have any effect if the theme option explicitly sets the dark version of a theme, e.g. theme: 'ios-dark'.
touchUi Boolean true

Use true to render a touch optimized user interface, or false for a user interface optimized for pointer devices (mouse, touchpad).

Can be used with the responsive option to change the user interface based on viewport width.

wheels Array [] Wheels configuration. A two-level array containing the wheel definition objects. The wheel definition object can have the following properties:
  • data: Array or Function - An array containing the wheel items. The wheel items can be strings, or objects. A wheel item object must have the value and display properties, where value will be returned as selected wheel value and display will be rendered on the wheels (can contain HTML markup as well). If the array contains string, the string value represents both value and display.
    To implement an infinite wheel, a function can be passed as well, which gets the index of the wheel item to be generated. It must return a string or a wheel item object.
  • key (Optional): Number or String - A unique identifier for the wheel. Used by the changeWheel method to identify the wheels that needs to be changed. If not specified, the index of the wheel will be used as key.
  • label (Optional): String - A label to display above the wheel, if showLabel is set to true.
  • cssClass (Optional): String - Css class or classes to add on the wheel element.
  • getIndex (Optional): Function - Must be defined, if wheel is infinite (the data property is a function). A function which returns the index of the wheel item, based on its value (see example).
An example with 2 wheel groups, each containing 2 wheels.
wheels: [ // Wheel groups array
    [ // First wheel group
        { // Wheel object
            label: 'Label 1',
            data: [
                { key: 1, display: 'x' }, 
                { key: 2, display: 'y' },
                { key: 3, display: 'z' }
            ]
        },
        { // Wheel object
            label: 'Label 2',
            data: [
                { key: 1, display: 'a' }, 
                { key: 2, display: 'b' }
            ]
        }
    ],
    [ // Second wheel group
        { // Wheel object
            label: 'Label 3',
            data: [1, 2]
        },
        { // An infinite wheel
            label: 'Label 4',
            data: function (i) {
                return {
                    value: 'item_key_' + i,
                    display: 'Item ' + i
                }
            },
            getIndex: function (value) {
                return +value.replace('item_key_', '');
            }
        }
    ]
]
width Number, Array 70 Exact width of the wheels, in pixels. Wheel content will be truncated, if it exceeds the width. If number, it is applied to all wheels, if an array, it is applied to each wheel separately.

Setting options dynamically

There are two ways to modify options after initalization

  1. Using the option method.

    The option method always triggers reinitialization. Most of the settings can be updated only this way, updating without initialization has no effect, because the markup is already generated. If the scroller was visible, the reinitialization hides it and it's not shown again automatically (except in inline display mode).

    Javascript
    // Modify options
    mobiscrollInstance.option({ 
        theme: 'ios', 
        lang: 'de'
    });
    HTML
    <input id="mobiscroll"/>
  2. Modify directly the settings object.

    Useful when changing dynamic settings, which do not need redraw (e.g. readonly, calendar marked days).

    // Modify a setting
    mobiscrollInstance.settings.readonly = true;
    
    // Modify settings in an event
    mobiscroll.scroller('#mobiscroll', {
        onBeforeShow: function (event, inst) {
            inst.settings.readonly = true;
        }
    });

Events

Name Description
onBeforeClose(event, inst) Triggered before the component closes. Close can be prevented by returning false from the handler function.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
    • button: String - The name of the button which triggered the component to close ('set', or 'cancel').
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onBeforeClose: function (event, inst) {
    }
});
onBeforeShow(event, inst) Triggered before the component is shown. It is useful if you want to modify the settings object before generating the markup. It can be used also to prevent the showing the control by returning false.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onBeforeShow: function (event, inst) {
    }
});
onCancel(event, inst) Allows you to define your own event when cancel is pressed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onCancel: function (event, inst) {
    }
});
onChange(event, inst) Allows you to define your own event when a wheel value is changed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onChange: function (event, inst) {
    }
});
onClear(event, inst) Triggered when the value is cleared.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onClear: function (event, inst) {
    }
});
onClose(event, inst) Triggered when the component is closed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onClose: function (event, inst) {
    }
});
onDestroy(event, inst) Triggered when the component is destroyed.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onDestroy: function (event, inst) {
    }
});
onInit(event, inst) Triggered when the component is initialized.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onInit: function (event, inst) {
    }
});
onItemTap(event, inst) Triggered when the user taps an item on the wheel.

Parameters

  • event: Object - The event object has the following properties:
    • target: HTMLElement - The DOM element of the tapped item.
    • selected: Boolean - Selected state of the tapped item.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onItemTap: function (event, inst) {
    }
});
onMarkupReady(event, inst) Triggered when the html markup of the component is generated, but it is not yet shown. It is useful, if you want to make modifications to the markup (e.g. add custom elements), before the positioning runs.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onMarkupReady: function (event, inst) {
    }
});
onPosition(event, inst) Triggered when the component is positioned (on initial show and resize / orientation change).
Useful if dimensions needs to be modified before the positioning happens, e.g. set a custom width or height. Custom positioning can also be implemented here, in this case, returning false from the handler function will prevent the built in positioning.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
    • windowWidth: Number - The window width.
    • windowHeight: Number - The window height.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onPosition: function (event, inst) {
    }
});
onSet(event, inst) Triggered when a value is set.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text (if any).
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onSet: function (event, inst) {
    }
});
onShow(event, inst) Triggered when the component is shown.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

mobiscroll.scroller('#mobiscroll', {
    onShow: function (event, inst) {
    }
});
validate(data, inst) Gets called on initialization and on every wheel change, can be used to validate the selected values.

Parameters

  • data: Object - The data object has the following properties:
    • values: Array - An array containing the currently selected wheel values.
    • index: Number - The index of the changed wheel (undefined on initial call).
    • direction: Number - The move direction of the wheel, 1 if moving up, 2 if moving down.
  • inst: Object - The instance object of the scroller.
Can return an object with the following properties:
  • disabled: Array - An array containing invalid values for each wheel.
  • valid: Array - An array containing the wheel values, the wheels will be scrolled to these values. If not specified, and currently selected values are invalid, the wheels will be scrolled to the nearest valid values.

Example

mobiscroll.scroller('#mobiscroll', {
    validate: function (event, inst) {
    }
});

Methods

Name Description
cancel() Hides the scroller and also invokes the onCancel event.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.cancel();
changeWheel(wheels) Refreshes the wheels with new data. Useful if you want to change a wheel dynamically based on another wheel's currently selected value.

Parameters

  • wheels: Object - An object, where the keys represent the key of the wheel to be changed, and the values are wheel objects containing the new data. See the wheels setting for the possible properties of the wheel object.
  • time (Optional): Number - Specifies the animation time in milliseconds to scroll the new wheel to the selected value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.changeWheel({
    1: {
        data: [1, 2, 3]
    }
}, 300);
clear() Clears the scroller value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.clear();
destroy() Destroys the component. This will return the element back to its pre-init state.

Returns: Object

  • Returns the element back to its pre-init state.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.destroy();
disable() Disables the scroller.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.disable();
enable() Enables the scroller.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.enable();
getArrayVal([temp]) Returns the selected scroller wheel values as an array.

Parameters

  • temp (Optional): Boolean - If true, temporary values are returned (prior clicking the Set button).

Returns: Array

  • An array containing the wheel values.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.getArrayVal();
getInst() Returns the object instance.

Returns: Object

  • The object instance.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.getInst();
getVal([temp]) Returns the selected scroller value.

Parameters

  • temp (Optional): Boolean - If true, returns the temporary values (prior clicking the Set button).

Returns: String

  • The selected scroller value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.getVal();
hide([ prevAnim ] [, btn ]) Hides the component.

Parameters

  • prevAnim (Optional): Boolean - If true, hide will not be animated.
  • btn (Optional): String - Specifies which button caused the component to hide, and it's passed to the onBeforeClose event.

Example

Methods can be called on an instance. For more details see calling methods
    mobiscrollInstance.hide();
    
isVisible() Returns a boolean indicating whether the component is visible or not.

Returns: Boolean

  • True if the component is visible, false if it's not.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.isVisible();
option(options) Sets one or more options for the component.

Parameters

  • options: Object - A map of option-value pairs to set.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.option({
    display: 'bottom',
    lang: 'de'
});
position([check]) Recalculates the position of the component (if not inline).

Parameters

  • check (Optional): Boolean - If true, the function checks if viewport size changed after last position call, if false or ommitted, position is recalculated anyway.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.position();
select() Hides the scroller and also invokes the onSet event.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.select();
setArrayVal (values [, fill ] [, change ] [, temp ] [, time ]) Sets the scroller wheel values from the values parameter passed as array.

Parameters

  • values: Array - An array containing the wheel values.
  • fill (Optional): Boolean - If true, the associated input element is also updated with the new value.
  • change (Optional): Boolean - If false, change event won't be triggered on the input element.
  • temp (Optional): Boolean - If true, only temporary values are set.
  • time (Optional): Number - Specifies the duration of the animation in seconds to scroll the wheels to the new values. There is no animation, if time is omitted or 0.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.setArrayVal([4, 5]);
setVal(value [, fill ] [, change ] [, temp ] [, time ]) Sets the scroller value.

Parameters

  • value: String - The scroller value.
  • fill (Optional): Boolean - If true, the associated input element is also updated with the new value.
  • change (Optional): Boolean - If false, change event won't be triggered on the input element.
  • temp (Optional): Boolean - If true, only temporary value is set.
  • time (Optional): Number - Specifies the duration of the animation in seconds to scroll the wheels to the new values. There is no animation, if time is omitted or 0.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.setVal('5 oz');
show([ prevAnim ] [, prevFocus ]) Shows the component.

Parameters

  • prevAnim (Optional): Boolean - If true, show will not be animated.
  • prevFocus (Optional): Boolean - If true, the popup will not be focused right after show.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.show();
tap(el, handler) Attaches the handler function to the tap event of element el.

Parameters

  • el: Object - The element with tap event.
  • handler: Function - If the action was initiated with touch event, handler is called on touchend, otherwise on click.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.tap('#element', function () { alert("It's a tap!"); });

Localization

Name Type Default value Description
cancelText String 'Cancel' Text for Cancel button.
clearText String 'Clear' Text for the clear button.
headerText Boolean, String, Function '{value}' Specifies a custom string which appears in the popup header.
If the string contains '{value}' substring, it is replaced with the formatted value of the scroller.
If it's set to false, the header is hidden.
If a function is passed, it receives the formatted value as parameter and the returned value appears in the header.
lang String 'en-US' Language of the component. Based on the language string the component loads the language based default settings from the language modules.
Supported languages:
  • Arabic: 'ar'
  • Bulgarian: 'bg'
  • Catalan: 'ca'
  • Czech: 'cs'
  • Chinese: 'zh'
  • Croatian: 'hr'
  • Danish: 'da'
  • Dutch: 'nl'
  • English: 'en' or 'en-US' or undefined
  • English (UK): 'en-UK' or 'en-GB'
  • Farsi: 'fa'
  • German: 'de'
  • Greek: 'el'
  • Spanish: 'es'
  • Finnish: 'fi'
  • French: 'fr'
  • Hebrew: 'he'
  • Hindi: 'hi'
  • Hungarian: 'hu'
  • Italian: 'it'
  • Japanese: 'ja'
  • Korean: 'ko'
  • Lithuanian: 'lt'
  • Norwegian: 'no'
  • Polish: 'pl'
  • Portuguese (Brazilian): 'pt-BR'
  • Portuguese (European): 'pt-PT'
  • Romanian: 'ro'
  • Russian: 'ru'
  • Russian (UA): 'ru-UA'
  • Slovak: 'sk'
  • Serbian: 'sr'
  • Thai: 'th'
  • Swedish: 'sv'
  • Turkish: 'tr'
  • Ukrainian: 'ua'
  • Vietnamese: 'vi'
rtl Boolean false Right to left display.
selectedPluralText String '{count} selected' Specifies the plural form of the amount of selected items according to the rules of particular language. The '{count}' substring will be replaced with the number of selected items.
selectedText String '{count} selected' Specifies the amount of selected items according to the rules of particular language. The '{count}' substring will be replaced with the number of selected items.
setText String 'Set' Text for Set button.

Conversion functions

Name Parameters Description
formatValue function(data) Receives selected wheel values as an array and must return a string which will be set as the value of the associated input element.

By default it concatenates the values to a string.

Components implement their own formatValue function.

Example (feet and inches scroller with custom wheels):
wheels: [[
        {
            data: [
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" }
            ]
        }, 
        {
            data: [
                { value: 0, display: "0'" }, 
                { value: 1, display: "1'" }, 
                { value: 2, display: "2'" }, 
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" },
                { value: 7, display: "7'" },
                { value: 8, display: "8'" },
                { value: 9, display: "9'" },
                { value: 10, display: "10'" },
                { value: 11, display: "11'" }
            ]
        }
    ]],
formatValue: function (data) {
    // Sample result: "6 ft 8 in"
    return data[0] + ' ft ' + data[1] + ' in';
}
parseValue function(valueText) Receives a string as parameter and must return an array containing the selected scroller wheel values.

Must return an array value!

Components implement their own parseValue function.

Example (feet and inches scroller with custom wheels):
wheels: [[
        {
            data: [
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" }
            ]
        }, 
        {
            data: [
                { value: 0, display: "0'" }, 
                { value: 1, display: "1'" }, 
                { value: 2, display: "2'" }, 
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" },
                { value: 7, display: "7'" },
                { value: 8, display: "8'" },
                { value: 9, display: "9'" },
                { value: 10, display: "10'" },
                { value: 11, display: "11'" }
            ]
        }
    ]] 
parseValue: function (val) {
    // val is expected to be a string like "6 ft 8 in"
    if (val) {
        val = val.toString().split(' ');
        return [val[0], val[2]];
    }
    return [0, 0]; // Default value if input is empty
}

Customizing the appearance

While the provided pre-built themes are enough in many use cases, most of the times on top of adapting to a specific platform, you'd also like to match a brand or color scheme. Mobiscroll provides various ways to achieve this:

Override the Sass Color Variables

A convenient way to customize the colors of the Mobiscroll components is to override the Sass color variables.

Let's say your branding uses a nice red accent color, and you'd like that color to appear on the Mobiscroll components as well, while still using platform specific themes (e.g. ios on iOS devices, material on Android devices, and mobiscroll on desktop). You can override the accent color for every theme:

$mbsc-ios-accent: #e61d2a;
$mbsc-material-accent: #e61d2a;
$mbsc-mobiscroll-accent: #e61d2a;

@import "~@mobiscroll/Javascript/dist/css/mobiscroll.javascript.scss"
It's important that you override the variables BEFORE the scss file import, otherwise it won't make any difference.
Here's a complete guide on how to set up Mobiscroll with SASS support

You can also customize the colors on many levels:

  1. Theme specific variables (ex. $mbsc-material-background, $mbsc-ios-dark-text) are applied to all components in a theme. Complete list of variables here.
  2. Component specific global variables (ex. $mbsc-card-background-light, $mbsc-listview-text-dark) are applied to all themes for a specific component.
  3. Component and theme specific variables (ex. $mbsc-ios-dark-form-background, $mbsc-material-input-text) are applied to a specific theme and a specific component.

Global variables

These variables are applied to all base themes: iOS, material, windows and mobiscroll.
They all come in pairs. One for the light and one for the dark variant in each theme.

Variable name Description
$mbsc-frame-background-light Sets the background color of the Scroller
$mbsc-frame-background-dark
$mbsc-frame-text-light Sets the text color of the Scroller
$mbsc-frame-text-dark
$mbsc-frame-accent-light Sets the accent color of the Scroller
$mbsc-frame-accent-dark
$mbsc-frame-overlay-light Sets the color of the overlay, when the Scroller is shown as a modal
$mbsc-frame-overlay-dark

If you really want to get sophisticated or if a color doesn't look good on a specific theme and you want to overwrite it, you can fine tune all of the above variables individually for each theme. Below are the complete list of variables broken down to themes:

iOS theme

Variable name Default value Description
$mbsc-ios-frame-background
#ffffff
The Scroller background color
$mbsc-ios-frame-text
#000000
The Scroller text color
$mbsc-ios-frame-accent
#007bff
The Scroller accent color
$mbsc-ios-frame-overlay
rgba(0, 0, 0, 0.2)
Sets the color of the overlay, when the Scroller is shown as a modal

iOS Dark theme

$mbsc-ios-dark-frame-background
#0f0f0f
The Scroller background color
$mbsc-ios-dark-frame-text
#ffffff
The Scroller text color
$mbsc-ios-dark-frame-accent
#ff8400
The Scroller accent color
$mbsc-ios-dark-frame-overlay
rgba(255, 255, 255, .1)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

Windows theme

Variable name Default value Description
$mbsc-windows-frame-background
#1a1a1a
The Scroller background color
$mbsc-windows-frame-text
#262626
The Scroller text color
$mbsc-windows-frame-accent
#0078d7
The Scroller accent color
$mbsc-windows-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal

Windows Dark theme

Variable name Default value Description
$mbsc-windows-dark-frame-background
#191919
The Scroller background color
$mbsc-windows-dark-frame-text
#ffffff
The Scroller text color
$mbsc-windows-dark-frame-accent
#0078d7
The Scroller accent color
$mbsc-windows-dark-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

Material theme

Variable name Default value Description
$mbsc-material-frame-background
#eeeeee
The Scroller background color
$mbsc-material-frame-text
#5b5b5b
The Scroller text color
$mbsc-material-frame-accent
#009688
The Scroller accent color
$mbsc-material-frame-overlay
rgba(0, 0, 0, .6)
Sets the color of the overlay, when the Scroller is shown as a modal

Material Dark theme

Variable name Default value Description
$mbsc-material-dark-frame-background
#303030
The Scroller background color
$mbsc-material-dark-frame-text
#c2c2c2
The Scroller text color
$mbsc-material-dark-frame-accent
#81ccc4
The Scroller accent color
$mbsc-material-dark-frame-overlay
rgba(0, 0, 0, .6)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

Mobiscroll theme

Variable name Default value Description
$mbsc-mobiscroll-frame-background
#f7f7f7
The Scroller background color
$mbsc-mobiscroll-frame-text
#454545
The Scroller text color
$mbsc-mobiscroll-frame-accent
#4eccc4
The Scroller accent color
$mbsc-mobiscroll-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal

Mobiscroll Dark theme

Variable name Default value Description
$mbsc-mobiscroll-dark-frame-background
#263238
The Scroller background color
$mbsc-mobiscroll-dark-frame-text
#f7f7f7
The Scroller text color
$mbsc-mobiscroll-dark-frame-accent
#4fccc4
The Scroller accent color
$mbsc-mobiscroll-dark-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

General Date & Time pickers Event Calendar Form components Responsive list Numeric pickers Pickers & dropdowns Layout & navigation Tools Accessibility

Scroller

These are the options, events and methods for the scroller component. They are also applicable on every other scroller-based component as well.

Component

Simple examples with ngModel
<!-- the default scroller passing the wheels-->
<mbsc-scroller [wheels]="scrollerCompWheels" [(ngModel)]="customValue">My custom scroller</mbsc-scroller>

<!-- setting theme and other options inline -->
<mbsc-scroller theme="ios" display="center" [wheels]="scrollerCompWheels" [(ngModel)]="customValue">My custom scroller</mbsc-scroller>
export class MyExampleClass {
    scrollerWheels = [[{
    label: 'First wheel',
    data: ['0', '1', '2', '3', '4', '5', '6', '7']
  }, {
    label: 'Second wheel',
    data: [{
      value: 0,
      display: 'a'
    }, {
      value: 1,
      display: 'b'
    }, {
      value: 2,
      display: 'c'
    }, {
      value: 3,
      display: 'd'
    }]
  }]];
}

Passing events

All events can be used inline with the component. When passing event handlers inline, the instance of the component becomes the inst property of the event object.

Passing inline event handlers
<mbsc-scroller (onSet)="mySet()">My Custom Scroller</mbsc-scroller>

<!-- with default parameters -->
<mbsc-scroller (onSet)="withDefaultEvent($event)">My Custom Scroller</mbsc-scroller>

<!-- with additional parameters -->
<mbsc-scroller (onSet)="withAdditionalEvent($event, 'myAddition')">My Custom Scroller</mbsc-scroller>
export class MyExampleClass {
    // simple handler without any parameters
    mySet() {
        console.log('simple handler'); // prints 'simple handler'
    }

    // event handler with the default event parameter
    withDefaultEvent(event: any) {
        console.log(event, event.inst); // prints the event object and the mobiscroll scroller control instance
    }

    // event handler with additional parameters
    withAdditionalEvent(event: any, addition: string) {
        console.log(addition); // prints 'myAddition'
    }
}

If you need more customization options on the element, you can use the directives as follows

Directive

Here is an example for the scroller directive with ngModel
import { MbscScrollerOptions } from '../lib/mobiscroll/js/mobiscroll.angular.min.js';

@Component({
    selector: 'my-example',
    template: `<input [(ngModel)]="myCustomValue" mbsc-scroller [mbsc-options]="options" />`
})
export class MyExampleComponent {
    myCustomValue: string;
    options: MbscScrollerOptions = {
        wheels: [
        [{
            label: 'First wheel',
            data: ['0', '1', '2', '3', '4', '5', '6', '7']
        }, {
            label: 'Second wheel',
            data: [{
                value: 0,
                display: 'a'
            }, {
                value: 1,
                display: 'b'
            }, {
                value: 2,
                display: 'c'
            }, {
                value: 3,
                display: 'd'
            }]
        }]
    };
}

Using with Ionic

Using with Ionic input
<ion-item>
    <ion-label>My Custom Value</ion-label>
    <ion-input [(ngModel)]="myCustomValue" mbsc-scroller [mbsc-options]="options"></ion-input>
</ion-item>

Modules

The MbscScrollerModule can be used to import all the directives and components from below.

Directives

Directive Data type Description
[(mbsc-scroller)] string Directve for the scroller
[mbsc-options] MbscScrollerOptions Directive used to pass the mobiscroll options

Components

Component Description
<mbsc-scroller> Component for the scroller control

The following options can be used as attributes to customize the component.

For many more examples - simple and complex use-cases - check out the scroller demos for angular.

Options

Name Type Default value Description
anchor String, HTMLElement undefined Specifies the anchor element for positioning, if display is set to 'bubble' . If undefined, it defaults to the element on which the component was initialized.
animate String or Boolean undefined Animation to use for show/hide (if display is not inline). Possible values:
  • 'fade'
  • 'flip'
  • 'pop'
  • 'swing'
  • 'slidevertical'
  • 'slidehorizontal'
  • 'slidedown'
  • 'slideup'
If false, turns the animation off.
buttons Array ['set', 'cancel'] Buttons to display. Each item in the array will be a button. A button can be specified as a string, or as a button object.

When the passed array does not contain the predefined 'set' button, the auto-selection will be turned on. Selecting a value on the UI this way, will be set to the input immediately. If there are more than one wheels shown, the control will close on overlay tap. Otherwise tapping a value on the wheel will also close the control.

If a string, it must be one of the predefined buttons:
  • 'set' - Sets the value.
  • 'clear' - Clears the value.
  • 'cancel' - Dismisses the popup.
To modify the text of the predefined buttons, you can use the setText, clearText , cancelText options.

If an object, it may have the following properties:
  • text String - Text of the button.
  • handler String, Function - The function which will run when the button is pressed. If a string, it must be one of the predefined button handlers:
    • 'set' - Sets the value.
    • 'clear' - Clears the value.
    • 'cancel' - Dismisses the popup.
  • icon String (Optional) - Icon of the button.
  • cssClass String (Optional) - Css class of the button.
Predefined and custom buttons example
buttons: [
    'set',
    {
        text: 'Custom',
        icon: 'checkmark',
        cssClass: 'my-btn', 
        handler: (event) => {
            alert('Custom button clicked!');
        }
    },
    'cancel'
]
Predefined button handler example
buttons: [
    'set',
    {
        text: 'Hide',
        handler: 'cancel',
        icon: 'close',
        cssClass: 'my-btn'
    }
]
circular Boolean, Array undefined If true, the scroll wheels are circular. If an array, it can be specified as a per wheel configuration, e.g. for 3 wheels: [true, false, false] - sets the first wheel circular. If not specified, if a wheel has more values than the number of displayed rows, the scroll wheel becomes circular.
closeOnOverlayTap Boolean true If true, the popup is closed on overlay tap/click.
context String, HTMLElement 'body' The DOM element in which the component is appended and positioned (if not inline). Can be a selector string or a DOM element.
cssClass String undefined Applies custom css class to the top level element.
disabled Boolean false Initial disabled state of the component. This will take no effect in inline display mode.
display String 'center' Controls the positioning of the component. Possible options:
  • 'center' - The component appears as a popup at the center of the viewport.
  • 'inline' - If called on div element, the component is placed inside the div (overwriting existing content), otherwise is placed after the original element.
  • 'bubble' - The component appears as a bubble positioned to the element defined by the anchor option. By default the anchor is the original element.
  • 'top' - The component appears docked to the top of the viewport.
  • 'bottom' - The component appears docked to the bottom of the viewport.
focusOnClose Boolean, String, HTMLElement true Element to focus after the popup is closed. If undefined, the original element will be focused. If false, no focusing will occur.
focusTrap Boolean true If not in inline mode, focus won't be allowed to leave the popup.
headerText Boolean, String, Function false Specifies a custom string which appears in the popup header.
If the string contains the '{value}' substring, it is replaced with the formatted value of the scroller.
If it's set to false, the header is hidden.
If a function is passed, it receives the formatted value as parameter and the returned value appears in the header.
height Number 40 Height in pixels of one item on the wheel. The default value depends on the theme:

Mobiscroll: 40
Android Holo: 36
Bootstrap: 40
iOS: 34
jQuery Mobile: 40
Material: 40
Windows Phone: 76
layout String undefined Sets the layout of the component. Possible values:
  • 'liquid' - Wheels will expand to the maximum available width, but will not exceed the width set by the maxWidth setting. If maxWidth is not specified, the total width of all wheels will not exceed 600px. In 'top' or 'bottom' display mode this is the default behavior.
  • 'fixed' or undefined - Wheels will expand to the size of the longest wheel value, but will not exceed the width set by the maxWidth setting.
maxWidth Number or Array undefined Maximum width of the wheels. If number, it is applied to all wheels, if an array, it is applied to each wheel separately.
minWidth Number or Array 80 Minimum width of the wheels in pixels. If number, it is applied to all wheels, if an array, it is applied to each wheel separately. The default value depends on the theme:

Mobiscroll: 80
Android Holo: 76
Bootstrap: 80
iOS: 55
jQuery Mobile: 80
Material: 80
Windows Phone: 76
multiline Number 1 If greater than 1, the wheel item's content will be wrapped into the specified number of lines. If the content is shorter, it will remain vertically centered.
readonly Boolean or Array false If true, the component is displayed, but the values are not selectable. If an array, it can be specified as a per wheel configuration, e.g. for 3 wheels: [true, false, false] - sets the first wheel readonly.
responsive Object undefined Specify different settings for different container widths, in a form of an object, where the keys are the name of the breakpoints, and the values are objects containing the settings for the given breakpoint.
The available width is queried from the container element of the component and not the browsers viewport like in css media queries
There are five predefined breakpoints:
  • xsmall - min-width: 0px
  • small - min-width: 576px
  • medium - min-width: 768px
  • large - min-width: 992px
  • xlarge - min-width: 1200px
Custom breakpoints can be defined by passing an object containing the breakpoint property specifying the min-width in pixels. Example:
responsive: {
    small: {
        display: 'bottom'
    },
    custom: { // Custom breakpoint
        breakpoint: 600,
        display: 'center'
    },
    large: {
        display: 'bubble'
    }
}
rows Number 3 Number of visible rows on the wheel. The default value depends on the theme:

Mobiscroll: 5
Bootstrap: 3
iOS: 5
Material: 3
Windows: 6
scrollLock Boolean true Disables page scrolling on touchmove (if not in inline mode, and popup height is less than window height).
showLabel Boolean true Show/hide labels above wheels.
showOnFocus Boolean false - on desktop true - on mobile Pops up the component on element focus.
showOnTap Boolean true Pops up the component on element tap.
showOverlay Boolean true Show or hide overlay.
showScrollArrows Boolean false Display scroll arrows for the wheels.
theme String undefined

Sets the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform.

If the theme for the specific platform is not present, it will default to the Mobiscroll theme.

Supplied themes:
  • 'bootstrap' - Bootstrap themes
  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'mobiscroll' - Mobiscroll theme
  • 'windows' - Windows theme
It's possible to modify theme colors or create custom themes.
Starting from v4.9.0 setting directly the dark version of the theme is deprecated. Use the themeVariant option instead to control the light / dark appearance of the theme.
Make sure that the theme you set is included in the downloaded package.
themeVariant String undefined

Controls which variant of the theme will be used (light or dark).

Possible values:
  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

If not set, only the theme setting will determine which theme to use.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

The option will not have any effect if the theme option explicitly sets the dark version of a theme, e.g. theme: 'ios-dark'.
touchUi Boolean true

Use true to render a touch optimized user interface, or false for a user interface optimized for pointer devices (mouse, touchpad).

Can be used with the responsive option to change the user interface based on viewport width.

wheels Array [] Wheels configuration. A two-level array containing the wheel definition objects. The wheel definition object can have the following properties:
  • data: Array or Function - An array containing the wheel items. The wheel items can be strings, or objects. A wheel item object must have the value and display properties, where value will be returned as selected wheel value and display will be rendered on the wheels (can contain HTML markup as well). If the array contains string, the string value represents both value and display.
    To implement an infinite wheel, a function can be passed as well, which gets the index of the wheel item to be generated. It must return a string or a wheel item object.
  • key (Optional): Number or String - A unique identifier for the wheel. Used by the changeWheel method to identify the wheels that needs to be changed. If not specified, the index of the wheel will be used as key.
  • label (Optional): String - A label to display above the wheel, if showLabel is set to true.
  • cssClass (Optional): String - Css class or classes to add on the wheel element.
  • getIndex (Optional): Function - Must be defined, if wheel is infinite (the data property is a function). A function which returns the index of the wheel item, based on its value (see example).
An example with 2 wheel groups, each containing 2 wheels.
wheels: [ // Wheel groups array
    [ // First wheel group
        { // Wheel object
            label: 'Label 1',
            data: [
                { key: 1, display: 'x' }, 
                { key: 2, display: 'y' },
                { key: 3, display: 'z' }
            ]
        },
        { // Wheel object
            label: 'Label 2',
            data: [
                { key: 1, display: 'a' }, 
                { key: 2, display: 'b' }
            ]
        }
    ],
    [ // Second wheel group
        { // Wheel object
            label: 'Label 3',
            data: [1, 2]
        },
        { // An infinite wheel
            label: 'Label 4',
            data: function (i) {
                return {
                    value: 'item_key_' + i,
                    display: 'Item ' + i
                }
            },
            getIndex: function (value) {
                return +value.replace('item_key_', '');
            }
        }
    ]
]
width Number, Array 70 Exact width of the wheels, in pixels. Wheel content will be truncated, if it exceeds the width. If number, it is applied to all wheels, if an array, it is applied to each wheel separately.

Setting options dynamically

There are two ways to modify options after initalization

  1. Using the option method.

    The option method always triggers reinitialization. Most of the settings can be updated only this way, updating without initialization has no effect, because the markup is already generated. If the scroller was visible, the reinitialization hides it and it's not shown again automatically (except in inline display mode).

    Here is an example for the dynamic option change
    import { ViewChild } from '@angular/core';
    @Component({
        selector: 'my-example',
        template: `
            <input mbsc-scroller #myVariable="mobiscroll" [(ngModel)]="myExample"/>
            <button (click)="changeOptions()">Change theme and language</button>
        `
    })
    export class MyExample {
        @ViewChild('myVariable') 
        myRef: any;
    
        // Modify options
        changeOptions() {
            this.myRef.instance.option({
                theme: 'mobiscroll',
                lang: 'de'
            });
        }
    }
  2. Modify directly the settings object.

    Useful when changing dynamic settings, which do not need redraw (e.g. readonly, calendar marked days).

    Example
    import { ViewChild } from '@angular/core';
    @Component({
        selector: 'my-example',
        template: `
            <input mbsc-scroller #myVariable="mobiscroll" [mbsc-options]="myOptions"/>
            <button (click)="changeOptions()">Change readonly</button>
        `
    })
    export class MyExample {
        @ViewChild('myVariable') 
        myRef: any;
    
        // get instance and modify a setting
        changeOptions() {
            this.myRef.instance.settings.readonly = true;
        }
        
        // Modify settings in an event
        myOptions: any = {
            onBeforeShow: (event, inst) => {
                inst.settings.readonly = true;
            }
        }
    }

Events

Using arrow functions is recommended so you have access to your outer component instance inside event handlers through this reference.
When using the events inline (see here) the inst parameter is passed as a property to the event.
Name Description
onBeforeClose(event, inst) Triggered before the component closes. Close can be prevented by returning false from the handler function.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
    • button: String - The name of the button which triggered the component to close ('set', or 'cancel').
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onBeforeClose: (event, inst) => {
        }
    }
}
onBeforeShow(event, inst) Triggered before the component is shown. It is useful if you want to modify the settings object before generating the markup. It can be used also to prevent the showing the control by returning false.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onBeforeShow: (event, inst) => {
        }
    }
}
onCancel(event, inst) Allows you to define your own event when cancel is pressed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onCancel: (event, inst) => {
        }
    }
}
onChange(event, inst) Allows you to define your own event when a wheel value is changed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onChange: (event, inst) => {
        }
    }
}
onClear(event, inst) Triggered when the value is cleared.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onClear: (event, inst) => {
        }
    }
}
onClose(event, inst) Triggered when the component is closed.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onClose: (event, inst) => {
        }
    }
}
onDestroy(event, inst) Triggered when the component is destroyed.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onDestroy: (event, inst) => {
        }
    }
}
onInit(event, inst) Triggered when the component is initialized.

Parameters

  • event: Object - The event object.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onInit: (event, inst) => {
        }
    }
}
onItemTap(event, inst) Triggered when the user taps an item on the wheel.

Parameters

  • event: Object - The event object has the following properties:
    • target: HTMLElement - The DOM element of the tapped item.
    • selected: Boolean - Selected state of the tapped item.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onItemTap: (event, inst) => {
        }
    }
}
onMarkupReady(event, inst) Triggered when the html markup of the component is generated, but it is not yet shown. It is useful, if you want to make modifications to the markup (e.g. add custom elements), before the positioning runs.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onMarkupReady: (event, inst) => {
        }
    }
}
onPosition(event, inst) Triggered when the component is positioned (on initial show and resize / orientation change).
Useful if dimensions needs to be modified before the positioning happens, e.g. set a custom width or height. Custom positioning can also be implemented here, in this case, returning false from the handler function will prevent the built in positioning.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
    • windowWidth: Number - The window width.
    • windowHeight: Number - The window height.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onPosition: (event, inst) => {
        }
    }
}
onSet(event, inst) Triggered when a value is set.

Parameters

  • event: Object - The event object has the following properties:
    • valueText: String - The selected value as text (if any).
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onSet: (event, inst) => {
        }
    }
}
onShow(event, inst) Triggered when the component is shown.

Parameters

  • event: Object - The event object has the following properties:
    • target: Object - The DOM element containing the generated html.
    • valueText: String - The selected value as text.
  • inst: Object - The instance object of the scroller.

Example

export class MyExample {
    settings: any = {
        onShow: (event, inst) => {
        }
    }
}
validate(data, inst) Gets called on initialization and on every wheel change, can be used to validate the selected values.

Parameters

  • data: Object - The data object has the following properties:
    • values: Array - An array containing the currently selected wheel values.
    • index: Number - The index of the changed wheel (undefined on initial call).
    • direction: Number - The move direction of the wheel, 1 if moving up, 2 if moving down.
  • inst: Object - The instance object of the scroller.
Can return an object with the following properties:
  • disabled: Array - An array containing invalid values for each wheel.
  • valid: Array - An array containing the wheel values, the wheels will be scrolled to these values. If not specified, and currently selected values are invalid, the wheels will be scrolled to the nearest valid values.

Example

export class MyExample {
    settings: any = {
        validate: (event, inst) => {
        }
    }
}

Methods

Name Description
cancel() Hides the scroller and also invokes the onCancel event.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.cancel();
changeWheel(wheels) Refreshes the wheels with new data. Useful if you want to change a wheel dynamically based on another wheel's currently selected value.

Parameters

  • wheels: Object - An object, where the keys represent the key of the wheel to be changed, and the values are wheel objects containing the new data. See the wheels setting for the possible properties of the wheel object.
  • time (Optional): Number - Specifies the animation time in milliseconds to scroll the new wheel to the selected value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.changeWheel({
    1: {
        data: [1, 2, 3]
    }
}, 300);
clear() Clears the scroller value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.clear();
disable() Disables the scroller.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.disable();
enable() Enables the scroller.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.enable();
getArrayVal([temp]) Returns the selected scroller wheel values as an array.

Parameters

  • temp (Optional): Boolean - If true, temporary values are returned (prior clicking the Set button).

Returns: Array

  • An array containing the wheel values.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.getArrayVal();
getVal([temp]) Returns the selected scroller value.

Parameters

  • temp (Optional): Boolean - If true, returns the temporary values (prior clicking the Set button).

Returns: String

  • The selected scroller value.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.getVal();
hide([ prevAnim ] [, btn ]) Hides the component.

Parameters

  • prevAnim (Optional): Boolean - If true, hide will not be animated.
  • btn (Optional): String - Specifies which button caused the component to hide, and it's passed to the onBeforeClose event.

Example

Methods can be called on an instance. For more details see calling methods
    mobiscrollInstance.hide();
    
isVisible() Returns a boolean indicating whether the component is visible or not.

Returns: Boolean

  • True if the component is visible, false if it's not.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.isVisible();
option(options) Sets one or more options for the component.

Parameters

  • options: Object - A map of option-value pairs to set.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.option({
    display: 'bottom',
    lang: 'de'
});
position([check]) Recalculates the position of the component (if not inline).

Parameters

  • check (Optional): Boolean - If true, the function checks if viewport size changed after last position call, if false or ommitted, position is recalculated anyway.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.position();
select() Hides the scroller and also invokes the onSet event.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.select();
setArrayVal (values [, fill ] [, change ] [, temp ] [, time ]) Sets the scroller wheel values from the values parameter passed as array.

Parameters

  • values: Array - An array containing the wheel values.
  • fill (Optional): Boolean - If true, the associated input element is also updated with the new value.
  • change (Optional): Boolean - If false, change event won't be triggered on the input element.
  • temp (Optional): Boolean - If true, only temporary values are set.
  • time (Optional): Number - Specifies the duration of the animation in seconds to scroll the wheels to the new values. There is no animation, if time is omitted or 0.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.setArrayVal([4, 5]);
setVal(value [, fill ] [, change ] [, temp ] [, time ]) Sets the scroller value.

Parameters

  • value: String - The scroller value.
  • fill (Optional): Boolean - If true, the associated input element is also updated with the new value.
  • change (Optional): Boolean - If false, change event won't be triggered on the input element.
  • temp (Optional): Boolean - If true, only temporary value is set.
  • time (Optional): Number - Specifies the duration of the animation in seconds to scroll the wheels to the new values. There is no animation, if time is omitted or 0.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.setVal('5 oz');
show([ prevAnim ] [, prevFocus ]) Shows the component.

Parameters

  • prevAnim (Optional): Boolean - If true, show will not be animated.
  • prevFocus (Optional): Boolean - If true, the popup will not be focused right after show.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.show();
tap(el, handler) Attaches the handler function to the tap event of element el.

Parameters

  • el: Object - The element with tap event.
  • handler: Function - If the action was initiated with touch event, handler is called on touchend, otherwise on click.

Example

Methods can be called on an instance. For more details see calling methods
mobiscrollInstance.tap('#element', function () { alert("It's a tap!"); });

Localization

Name Type Default value Description
cancelText String 'Cancel' Text for Cancel button.
clearText String 'Clear' Text for the clear button.
headerText Boolean, String, Function '{value}' Specifies a custom string which appears in the popup header.
If the string contains '{value}' substring, it is replaced with the formatted value of the scroller.
If it's set to false, the header is hidden.
If a function is passed, it receives the formatted value as parameter and the returned value appears in the header.
lang String 'en-US' Language of the component. Based on the language string the component loads the language based default settings from the language modules.
Supported languages:
  • Arabic: 'ar'
  • Bulgarian: 'bg'
  • Catalan: 'ca'
  • Czech: 'cs'
  • Chinese: 'zh'
  • Croatian: 'hr'
  • Danish: 'da'
  • Dutch: 'nl'
  • English: 'en' or 'en-US' or undefined
  • English (UK): 'en-UK' or 'en-GB'
  • Farsi: 'fa'
  • German: 'de'
  • Greek: 'el'
  • Spanish: 'es'
  • Finnish: 'fi'
  • French: 'fr'
  • Hebrew: 'he'
  • Hindi: 'hi'
  • Hungarian: 'hu'
  • Italian: 'it'
  • Japanese: 'ja'
  • Korean: 'ko'
  • Lithuanian: 'lt'
  • Norwegian: 'no'
  • Polish: 'pl'
  • Portuguese (Brazilian): 'pt-BR'
  • Portuguese (European): 'pt-PT'
  • Romanian: 'ro'
  • Russian: 'ru'
  • Russian (UA): 'ru-UA'
  • Slovak: 'sk'
  • Serbian: 'sr'
  • Thai: 'th'
  • Swedish: 'sv'
  • Turkish: 'tr'
  • Ukrainian: 'ua'
  • Vietnamese: 'vi'
rtl Boolean false Right to left display.
selectedPluralText String '{count} selected' Specifies the plural form of the amount of selected items according to the rules of particular language. The '{count}' substring will be replaced with the number of selected items.
selectedText String '{count} selected' Specifies the amount of selected items according to the rules of particular language. The '{count}' substring will be replaced with the number of selected items.
setText String 'Set' Text for Set button.

Conversion functions

Name Parameters Description
formatValue function(data) Receives selected wheel values as an array and must return a string which will be set as the value of the associated input element.

By default it concatenates the values to a string.

Components implement their own formatValue function.

Example (feet and inches scroller with custom wheels):
wheels: [[
        {
            data: [
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" }
            ]
        }, 
        {
            data: [
                { value: 0, display: "0'" }, 
                { value: 1, display: "1'" }, 
                { value: 2, display: "2'" }, 
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" },
                { value: 7, display: "7'" },
                { value: 8, display: "8'" },
                { value: 9, display: "9'" },
                { value: 10, display: "10'" },
                { value: 11, display: "11'" }
            ]
        }
    ]],
formatValue: function (data) {
    // Sample result: "6 ft 8 in"
    return data[0] + ' ft ' + data[1] + ' in';
}
parseValue function(valueText) Receives a string as parameter and must return an array containing the selected scroller wheel values.

Must return an array value!

Components implement their own parseValue function.

Example (feet and inches scroller with custom wheels):
wheels: [[
        {
            data: [
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" }
            ]
        }, 
        {
            data: [
                { value: 0, display: "0'" }, 
                { value: 1, display: "1'" }, 
                { value: 2, display: "2'" }, 
                { value: 3, display: "3'" }, 
                { value: 4, display: "4'" },
                { value: 5, display: "5'" }, 
                { value: 6, display: "6'" },
                { value: 7, display: "7'" },
                { value: 8, display: "8'" },
                { value: 9, display: "9'" },
                { value: 10, display: "10'" },
                { value: 11, display: "11'" }
            ]
        }
    ]] 
parseValue: function (val) {
    // val is expected to be a string like "6 ft 8 in"
    if (val) {
        val = val.toString().split(' ');
        return [val[0], val[2]];
    }
    return [0, 0]; // Default value if input is empty
}

Customizing the appearance

While the provided pre-built themes are enough in many use cases, most of the times on top of adapting to a specific platform, you'd also like to match a brand or color scheme. Mobiscroll provides various ways to achieve this:

Override the Sass Color Variables

A convenient way to customize the colors of the Mobiscroll components is to override the Sass color variables.

Let's say your branding uses a nice red accent color, and you'd like that color to appear on the Mobiscroll components as well, while still using platform specific themes (e.g. ios on iOS devices, material on Android devices, and mobiscroll on desktop). You can override the accent color for every theme:

$mbsc-ios-accent: #e61d2a;
$mbsc-material-accent: #e61d2a;
$mbsc-mobiscroll-accent: #e61d2a;

@import "~@mobiscroll/Angular/dist/css/mobiscroll.angular.scss"
It's important that you override the variables BEFORE the scss file import, otherwise it won't make any difference.
Here's a complete guide on how to set up Mobiscroll with SASS support

You can also customize the colors on many levels:

  1. Theme specific variables (ex. $mbsc-material-background, $mbsc-ios-dark-text) are applied to all components in a theme. Complete list of variables here.
  2. Component specific global variables (ex. $mbsc-card-background-light, $mbsc-listview-text-dark) are applied to all themes for a specific component.
  3. Component and theme specific variables (ex. $mbsc-ios-dark-form-background, $mbsc-material-input-text) are applied to a specific theme and a specific component.

Global variables

These variables are applied to all base themes: iOS, material, windows and mobiscroll.
They all come in pairs. One for the light and one for the dark variant in each theme.

Variable name Description
$mbsc-frame-background-light Sets the background color of the Scroller
$mbsc-frame-background-dark
$mbsc-frame-text-light Sets the text color of the Scroller
$mbsc-frame-text-dark
$mbsc-frame-accent-light Sets the accent color of the Scroller
$mbsc-frame-accent-dark
$mbsc-frame-overlay-light Sets the color of the overlay, when the Scroller is shown as a modal
$mbsc-frame-overlay-dark

If you really want to get sophisticated or if a color doesn't look good on a specific theme and you want to overwrite it, you can fine tune all of the above variables individually for each theme. Below are the complete list of variables broken down to themes:

iOS theme

Variable name Default value Description
$mbsc-ios-frame-background
#ffffff
The Scroller background color
$mbsc-ios-frame-text
#000000
The Scroller text color
$mbsc-ios-frame-accent
#007bff
The Scroller accent color
$mbsc-ios-frame-overlay
rgba(0, 0, 0, 0.2)
Sets the color of the overlay, when the Scroller is shown as a modal

iOS Dark theme

$mbsc-ios-dark-frame-background
#0f0f0f
The Scroller background color
$mbsc-ios-dark-frame-text
#ffffff
The Scroller text color
$mbsc-ios-dark-frame-accent
#ff8400
The Scroller accent color
$mbsc-ios-dark-frame-overlay
rgba(255, 255, 255, .1)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

Windows theme

Variable name Default value Description
$mbsc-windows-frame-background
#1a1a1a
The Scroller background color
$mbsc-windows-frame-text
#262626
The Scroller text color
$mbsc-windows-frame-accent
#0078d7
The Scroller accent color
$mbsc-windows-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal

Windows Dark theme

Variable name Default value Description
$mbsc-windows-dark-frame-background
#191919
The Scroller background color
$mbsc-windows-dark-frame-text
#ffffff
The Scroller text color
$mbsc-windows-dark-frame-accent
#0078d7
The Scroller accent color
$mbsc-windows-dark-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

Material theme

Variable name Default value Description
$mbsc-material-frame-background
#eeeeee
The Scroller background color
$mbsc-material-frame-text
#5b5b5b
The Scroller text color
$mbsc-material-frame-accent
#009688
The Scroller accent color
$mbsc-material-frame-overlay
rgba(0, 0, 0, .6)
Sets the color of the overlay, when the Scroller is shown as a modal

Material Dark theme

Variable name Default value Description
$mbsc-material-dark-frame-background
#303030
The Scroller background color
$mbsc-material-dark-frame-text
#c2c2c2
The Scroller text color
$mbsc-material-dark-frame-accent
#81ccc4
The Scroller accent color
$mbsc-material-dark-frame-overlay
rgba(0, 0, 0, .6)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

Mobiscroll theme

Variable name Default value Description
$mbsc-mobiscroll-frame-background
#f7f7f7
The Scroller background color
$mbsc-mobiscroll-frame-text
#454545
The Scroller text color
$mbsc-mobiscroll-frame-accent
#4eccc4
The Scroller accent color
$mbsc-mobiscroll-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal

Mobiscroll Dark theme

Variable name Default value Description
$mbsc-mobiscroll-dark-frame-background
#263238
The Scroller background color
$mbsc-mobiscroll-dark-frame-text
#f7f7f7
The Scroller text color
$mbsc-mobiscroll-dark-frame-accent
#4fccc4
The Scroller accent color
$mbsc-mobiscroll-dark-frame-overlay
rgba(0, 0, 0, .7)
Sets the color of the overlay, when the Scroller is shown as a modal
Indication on what the color variables affect

Scroller for React

Updated on May 17, 2021

React Scroller Scroller for React

From
$0
$20
$40
$60
$80
$100
$120
$140
$160
$180
$200
$220
$240
$260
$280
$300
$320
$340
$360
$380
$400
$420
$440
$460
$480
$500
$520
$540
$560
$580
$600
$620
$640
$660
$680
$700
$720
$740
$760
$780
$800
$0
$20
$40
$60
$80
$100
$120
$140
$160
$180
To
$20
$40
$60
$80
$100
$120
$140
$160
$180
$200
$220
$240
$260
$280
$300
$320
$340
$360
$380
$400
$420
$440
$460
$480
$500
$520
$540
$560
$580
$600
$620
$640
$660
$680
$700
$720
$740
$760
$780
$800
$820
$20
$40
$60
$80
$100
$120
$140
$160
$180
$200

Scroller - Price Range

Change demo
Price Range
Custom React scroller with two wheels for picking a price-range featuring range validation for correct selections. For React and Ionic React.
Copy code
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

mobiscroll.settings = {
    theme: 'ios',
    themeVariant: 'light'
};

const fromValues = [];
let toValues = [];

for (let i = 0; i <= 1000; i += 20) {
    fromValues.push({
        display: '$' + i,
        value: i
    });
}

toValues = fromValues.slice();
toValues.shift();
toValues.push({
    display: 'over $1000'
});

const wheels = [
    [{
        circular: false,
        data: fromValues,
        label: 'From'
    }, {
        circular: false,
        data: toValues,
        label: 'To'
    }]
];

class App extends React.Component {
    validate = (event, inst) => {
        const values = event.values;
        const disabledValues = [];

        for (let i = 0; i < toValues.length; ++i) {
            if (toValues[i].value <= values[0]) {
                disabledValues.push(toValues[i].value);
            }
        }

        return {
            disabled: [
                [], disabledValues
            ]
        }
    }
    formatValue = (data) => {
        return '$' + data[0] + ' -  $' + data[1];
    }
    parseValue = (valueText) => {
        if (valueText) {
            return valueText.replace(/\s/gi, '').split('-');
        }
        return [0, 20];
    }
    render() {
        return (
            <mobiscroll.Form>
                <mobiscroll.Scroller
                    display="inline"
                    type="hidden"
                    width={150}
                    wheels={wheels}
                    showLabel={true}
                    validate={this.validate}
                    formatValue={this.formatValue}
                    parseValue={this.parseValue}
                    placeholder="Please Select..."
                />
            </mobiscroll.Form>
            
        );
    }
}

import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

interface DemoProps {
  /* you can define props type definitions here */
}

interface DemoState {
  /* you can define state type definitions here */
}

mobiscroll.settings = {
    theme: 'ios',
    themeVariant: 'light'
};

const fromValues = [];
let toValues = [];

for (let i = 0; i <= 1000; i += 20: any) {
    fromValues.push({
        display: '$' + i,
        value: i
    });
}

toValues = fromValues.slice();
toValues.shift();
toValues.push({
    display: 'over $1000'
});

const wheels = [
    [{
        circular: false,
        data: fromValues,
        label: 'From'
    }, {
        circular: false,
        data: toValues,
        label: 'To'
    }]
];

class App extends React.Component< DemoProps, DemoState > {
    parseValue:any;
    formatValue:any;
    validate:any;
    validate = (event: any, inst: any) => {
        const values = event.values;
        const disabledValues = [];

        for (let i = 0; i < toValues.length; ++i: any) {
            if (toValues[i].value <= values[0]: any) {
                disabledValues.push(toValues[i].value);
            }
        }

        return {
            disabled: [
                [], disabledValues
            ]
        }
    }
    formatValue = (data: any) => {
        return '$' + data[0] + ' -  $' + data[1];
    }
    parseValue = (valueText: any) => {
        if (valueText: any) {
            return valueText.replace(/\s/gi, '').split('-');
        }
        return [0, 20];
    }
    render() {
        return (
            <mobiscroll.Form>
                <mobiscroll.Scroller
                    display="inline"
                    type="hidden"
                    width={150}
                    wheels={wheels}
                    showLabel={true}
                    validate={this.validate}
                    formatValue={this.formatValue}
                    parseValue={this.parseValue}
                    placeholder="Please Select..."
                />
            </mobiscroll.Form>
            
        );
    }
}

<div id="content">
Show more code

Scroller - Custom Units

Change demo
Custom Units
Copy code

Scroller - Date range

Change demo
Date range
Custom React scroller with two wheels for picking a date-range featuring start/end validation for correct selections. For React and Ionic React.
Copy code

Scroller - Event handlers

Change demo
Event handlers
React Scroller component with event hooks for custom integration and functionality. With source code. For React and Ionic React.
Clear event log
EVENTS FIRED: 
Copy code

Scroller - Display modes

Change demo
Display modes
Custom React mobile scroller with top, bottom slide up, popup, center, modal, bubble and inline embeddable display. For React and Ionic React.
Copy code

Scroller - Desktop

Change demo
Desktop
Custom React dropdown with multiple wheel support. Use it with pointer interaction, scrollable wheels with or without buttons. For React and Ionic React.
Copy code

Scroller - Theming capabilities

Change demo
Theming capabilities

The look and feel of the scroller can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos